# BarChart
_The Bar Chart element is designed for visualizing data series as vertical bars. It displays multiple values as side-by-side bars where each bar's height represents its value._

Extends: `Graph`

## Functions

|Method|Returns|Description|
|---|---|---|
|[BarChart.new](#barchart-new)|BarChart|Creates a new BarChart instance|
|[BarChart:init](#barchart-init-props-basalt)|BarChart|Initializes the BarChart instance|
|[BarChart:render](#barchart-render)|-|Renders the BarChart|

## BarChart.new()

Creates a new BarChart instance

### Returns
* `BarChart` `self` The newly created BarChart instance

## BarChart:init(props, basalt)
### Parameters
* `props` `table` The properties to initialize the element with
* `basalt` `table` The basalt instance

### Returns
* `BarChart` `self` The initialized instance

## BarChart:render()